summaryrefslogtreecommitdiffstats
path: root/academic/boinc
diff options
context:
space:
mode:
Diffstat (limited to 'academic/boinc')
-rw-r--r--academic/boinc/README4
-rw-r--r--academic/boinc/README.Slackware10
-rw-r--r--academic/boinc/boinc.SlackBuild6
-rw-r--r--academic/boinc/boinc.info6
-rw-r--r--academic/boinc/rc.boinc.txt210
5 files changed, 119 insertions, 117 deletions
diff --git a/academic/boinc/README b/academic/boinc/README
index 60fd3ebcb3..f63d0e2e4c 100644
--- a/academic/boinc/README
+++ b/academic/boinc/README
@@ -19,14 +19,14 @@ Building
DATADIR="/home/<user>/.boinc_data" ./boinc.SlackBuild
to set the data directory in your user's home, or prefered data path,
-and build the package. The default data path is /var/lib/boinc.
+and build the package. The default data path is /var/lib/boinc_data.
(2) If you do not wish to build the boincmgr GUI,
BOINCMGR=no ./boinc.SlackBuild
then you do not need to install the dependencies (wxWidgets). See
-README.Slackware for details.
+README.Slackware for details on headless configuration.
After installation you need to join a BOINC project:
http://boinc.berkeley.edu/projects.php
diff --git a/academic/boinc/README.Slackware b/academic/boinc/README.Slackware
index 01fd4a30ed..c0f1ceb4e3 100644
--- a/academic/boinc/README.Slackware
+++ b/academic/boinc/README.Slackware
@@ -2,8 +2,9 @@ For headless operation, a start up script is included. The script will
execute as root with the data directory as '/var/lib/boinc_data'.
Modify as needed:
-BOINC_DIR=/var/lib/boinc_data # directory of boinc files
+BOINC_DIR=/var/lib/boinc_data # directory of boinc data files
BOINC_USER=root # user that will run boinc process
+BOINC_OPTIONS="--dir $BOINC_DIR --redirectio"
Refer to the boinc manpage for parameters you can add to
BOINC_OPTIONS.
@@ -22,11 +23,12 @@ fi
Note 1:
The default configuration enables boinc control on the running
-host via boinccmg or boincmgr on th same running host. To truly run
+host via boinccmg or boincmgr on the same running host. To truly run
headless, you will need to configure boinc to allow RPC access from
another host.
Note 2:
-If you use the default data path of /var/lib/boinc as a non-root user,
-before first use, you will need to create the that path and set the
+If you use the default data path of /var/lib/boinc_data as a non-root
+user, before first use, you will need to create that path and set the
appropriate user permissions.
+
diff --git a/academic/boinc/boinc.SlackBuild b/academic/boinc/boinc.SlackBuild
index 9738bcd3a0..8f8330ac87 100644
--- a/academic/boinc/boinc.SlackBuild
+++ b/academic/boinc/boinc.SlackBuild
@@ -30,8 +30,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=boinc
-VERSION=${VERSION:-7.20.5}
-BRANCH=${BRANCH:-7.20}
+VERSION=${VERSION:-7.24.1}
+BRANCH=${BRANCH:-7.24}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -70,7 +70,7 @@ fi
set -e
# Your default working directory location. Pass with DATADIR=<dir> Boinc.SlackBuild
-DATADIR=${DATADIR:-'/var/lib/boinc'}
+DATADIR=${DATADIR:-'/var/lib/boinc_data'}
BOINCMGR=${BOINCMGR:-yes}
if [ "$BOINCMGR" = "yes" ]; then
diff --git a/academic/boinc/boinc.info b/academic/boinc/boinc.info
index b5d6fc33d3..4d1bb74cdd 100644
--- a/academic/boinc/boinc.info
+++ b/academic/boinc/boinc.info
@@ -1,8 +1,8 @@
PRGNAM="boinc"
-VERSION="7.20.5"
+VERSION="7.24.1"
HOMEPAGE="https://boinc.berkeley.edu/"
-DOWNLOAD="https://github.com/BOINC/boinc/archive/client_release/7.20/7.20.5/boinc-client_release-7.20-7.20.5.tar.gz"
-MD5SUM="f5c100bd3835d88cd7ce15d2d1ac5085"
+DOWNLOAD="https://github.com/BOINC/boinc/archive/client_release/7.24/7.24.1/boinc-client_release-7.24-7.24.1.tar.gz"
+MD5SUM="1844352e5b2ef9c9cf2325e1f991a5cc"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="wxWidgets"
diff --git a/academic/boinc/rc.boinc.txt b/academic/boinc/rc.boinc.txt
index 80e756c3c9..e84583ed0b 100644
--- a/academic/boinc/rc.boinc.txt
+++ b/academic/boinc/rc.boinc.txt
@@ -1,105 +1,105 @@
-#!/bin/bash
-
-# rc.boinc - BOINC startup/control script for Slackware Linux
-#
-# Copyright 2022 Edward Koenig, Vancouver, WA, USA
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-BOINC_DIR=/var/lib/boinc_data # directory of boinc files
-BOINC_BIN=boinc # name of the boinc binary
-BOINC_USER=root # user that will run boinc process
-BOINC_OPTIONS="--dir $BOINC_DIR --redirectio"
-# "--dir $BOINC_DIR --daemon" will send logs syslog instead of
-# stdoutdae.txt and stderrdae.txt
-
-boinc_status() {
- if ( ps -ef | grep "$BOINC_BIN$" > /dev/null 2>&1 ); then
- return 0
- else
- return 3
-fi
-}
-
-boinc_start() {
- boinc_status
- if [ $? = 0 ]; then
- echo "BOINC is already running"
- exit 1
- fi
-
- if [ ! -d $BOINC_DIR ]; then
- echo "ERROR: $BOINC_DIR does not exist"
- exit 1
- elif [ ! -x BOINC_BIN ]; then
- echo "ERROR: BOINC_BIN does not exist or not executable"
- exit 1
- fi
-
- echo "Starting BOINC client"
- su - $BOINC_USER -c "cd $BOINC_DIR; exec /usr/bin/$BOINC_BIN $BOINC_OPTIONS" &
-
-}
-
-boinc_stop() {
- echo "Stopping BOINC client"
- killall $BOINC_BIN
-}
-
-boinc_restart() {
- echo "Restarting BOINC client"
-
- boinc_status
- if [ $? = 0 ]; then
- boinc_stop
- sleep 3
- boinc_start
- else
- boinc_start
- fi
-}
-
-
-case "$1" in
- start)
- boinc_start
- exit 0
- ;;
- stop)
- boinc_stop
- exit 0
- ;;
- restart)
- boinc_restart
- exit 0
- ;;
- status)
- boinc_status
- if [ $? = 0 ]; then
- echo "BOINC is running"
- else
- echo "BOINC is not running"
- fi
- ;;
- *)
- echo "Usage: $0 start|stop|restart|status"
- exit 1
- ;;
-
-esac
+#!/bin/bash
+
+# rc.boinc - BOINC startup/control script for Slackware Linux
+#
+# Copyright 2022 Edward Koenig, Vancouver, WA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+BOINC_DIR=//var/lib/boinc_data # directory of boinc files
+BOINC_BIN=/usr/bin/boinc # name of the boinc binary
+BOINC_USER=root # user that will run boinc process
+BOINC_OPTIONS="--dir $BOINC_DIR --redirectio"
+# "--dir $BOINC_DIR --daemon" will send logs syslog instead of
+# stdoutdae.txt and stderrdae.txt
+
+boinc_status() {
+ if ( ps -ef | grep "$BOINC_BIN$" > /dev/null 2>&1 ); then
+ return 0
+ else
+ return 3
+fi
+}
+
+boinc_start() {
+ boinc_status
+ if [ $? = 0 ]; then
+ echo "BOINC is already running"
+ exit 1
+ fi
+
+ if [ ! -d $BOINC_DIR ]; then
+ echo "ERROR: $BOINC_DIR does not exist"
+ exit 1
+ elif [ ! -x $BOINC_BIN ]; then
+ echo "ERROR: $BOINC_BIN does not exist or not executable"
+ exit 1
+ fi
+
+ echo "Starting BOINC client"
+ su - $BOINC_USER -c "cd $BOINC_DIR; exec $BOINC_BIN $BOINC_OPTIONS" &
+
+}
+
+boinc_stop() {
+ echo "Stopping BOINC client"
+ killall $BOINC_BIN
+}
+
+boinc_restart() {
+ echo "Restarting BOINC client"
+
+ boinc_status
+ if [ $? = 0 ]; then
+ boinc_stop
+ sleep 3
+ boinc_start
+ else
+ boinc_start
+fi
+}
+
+
+case "$1" in
+ start)
+ boinc_start
+ exit 0
+ ;;
+ stop)
+ boinc_stop
+ exit 0
+ ;;
+ restart)
+ boinc_restart
+ exit 0
+ ;;
+ status)
+ boinc_status
+ if [ $? = 0 ]; then
+ echo "BOINC is running"
+ else
+ echo "BOINC is not running"
+ fi
+ ;;
+ *)
+ echo "Usage: $0 start|stop|restart|status"
+ exit 1
+ ;;
+
+esac